1
pod
zend, xoops & php version [crash help]
  • 2005/7/21 2:21

  • pod

  • Quite a regular

  • Posts: 301

  • Since: 2003/4/19


Recently my server went down & when it came back, all of my sites returned this error:
Fatal error: Call to a member function on a non-object in /home/mine/public_html/kernel/config.php on line 222
Unknown Condition []: in file line

as documented in the FAQ here.

I wrote my host & waited it out, & the next day most of my sites had been returned to functional.
I don't believe my host got my email though... so I doubt he reconciled the Zend issue...

Anyway, the site I have the most traffic on didnt come back. It still gives me the fatal error, as you can see @ www.toolunity.com

My host seems unreachable, so I must resolve this myself, it seems. Hopefully someone can help.

If all my sites returned the fatal error & then 9/10 came back w/o issue, whats the anomaly?
The one that is still down was not as current as the rest, I think - I don't even remember what version its runing. Maybe 2.0.4 ...the rest of my sites are 2.0.9.
All my sites are using the IPB module/hack.

I'm thinking... maybe... do a blind upgrade, overwriting the older files with 2.0.9 or better & hope for the best?
Or would this work at all?

Any ideas or insights are appreciated :)
www.myxoops.com - MyXoops Is Your XOOPS!

2
philou
Re: zend, xoops & php version [crash help]
  • 2005/7/21 5:19

  • philou

  • Quite a regular

  • Posts: 384

  • Since: 2002/5/6 8


have you check your homepage module ? or blocks ?
Resized Image - - Resized Image

3
pod
Re: zend, xoops & php version [crash help]
  • 2005/7/21 9:15

  • pod

  • Quite a regular

  • Posts: 301

  • Since: 2003/4/19


Hmm?

Even admin.php returns the fatal error. Any ideas?
www.myxoops.com - MyXoops Is Your XOOPS!

4
Mithrandir
Re: zend, xoops & php version [crash help]

Quote:
My host seems unreachable, so I must resolve this myself, it seems. Hopefully someone can help.

Unless you can manage the entire server, I don't think this is feasible.

Call the host, email the host, visit the host, call the police. Whatever. This is - until the host proves otherwise - a case of zend optimiser conflict with php version. And if your host is too slow to react, I would recommend that you change host instead of trying to work around it - which you cannot.
"When you can flatten entire cities at a whim, a tendency towards quiet reflection and seeing-things-from-the-other-fellow's-point-of-view is seldom necessary."

Cusix Software

5
pod
Re: zend, xoops & php version [crash help]
  • 2005/7/21 11:45

  • pod

  • Quite a regular

  • Posts: 301

  • Since: 2003/4/19


Thanks for the reply Mith, I knew you would be the one to come to my rescue on this one. Contacting my host is somewhat problematic at this juncture, but I am considering relocation as soon as I can make a good upwads move.

I just don't understand why only 1 of 10 XOOPS sites on the same server would suffer permanently while the others recovered - would you presume this is because of the older XOOPS version? Besides the volume of traffic and data on that site, the version seems the only variable. Toolunity has always been somewhat unstable for one reason or another, suffering several complete failures over the years - usually due to mysterious server side errors.
I did manage to get into the IPB Admin CP for the site, but attempting to "repair tables" just returned a long list of strange errors. Notice that www.toolunity.com/modules/ipboard/admin.php still exists, while the rest of the site renders white error pages. Odd.

Would it be possible to export the database & import it to a fresh install & retain the data, or would there be [XOOPS] version issues?

Thanks for your help :)
www.myxoops.com - MyXoops Is Your XOOPS!

6
m0nty
Re: zend, xoops & php version [crash help]
  • 2005/7/21 12:15

  • m0nty

  • XOOPS is my life!

  • Posts: 3337

  • Since: 2003/10/24


i'm not sure of a db change from XOOPS 2.0.4, mith could probly tell you tho..

other than that there shouldn't be a problem in upgrading. but as u say 2.0.4, it's most likely your x-ipb version would not work.. you may have to grab the latest 1.4Ha version (for XOOPS 2.0.10) and then the latest x-ipb core update for XOOPS 2.0.13 if u go to XOOPS 2.0.13.

but you're best having an actual working site to do the upgrade from..

7
Herko
Re: zend, xoops & php version [crash help]
  • 2005/7/21 13:55

  • Herko

  • XOOPS is my life!

  • Posts: 4238

  • Since: 2002/2/4 1


Since XOOPS 2.0.3 (if I recall correctly) there have been no database changes to the core. So if you upgrade the core, your members etc. should remain intact with your XOOPS 2.0.4 data.

You could try uploading it to another domain (one of those that work), copying the database too, and see if it's a setting on that specific account or not...

Herko

Login

Who's Online

230 user(s) are online (145 user(s) are browsing Support Forums)


Members: 0


Guests: 230


more...

Donat-O-Meter

Stats
Goal: $100.00
Due Date: Apr 30
Gross Amount: $0.00
Net Balance: $0.00
Left to go: $100.00
Make donations with PayPal!

Latest GitHub Commits